﻿//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class UIPanelWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(UIPanel), typeof(UIRect));
		L.RegFunction("CompareFunc", FUNCTAG_CompareFunc);
		L.RegFunction("GetSides", FUNCTAG_GetSides);
		L.RegFunction("Invalidate", FUNCTAG_Invalidate);
		L.RegFunction("CalculateFinalAlpha", FUNCTAG_CalculateFinalAlpha);
		L.RegFunction("SetRect", FUNCTAG_SetRect);
		L.RegFunction("IsVisible", FUNCTAG_IsVisible);
		L.RegFunction("Affects", FUNCTAG_Affects);
		L.RegFunction("RebuildAllDrawCalls", FUNCTAG_RebuildAllDrawCalls);
		L.RegFunction("SetDirty", FUNCTAG_SetDirty);
		L.RegFunction("ParentHasChanged", FUNCTAG_ParentHasChanged);
		L.RegFunction("SortWidgets", FUNCTAG_SortWidgets);
		L.RegFunction("FillDrawCall", FUNCTAG_FillDrawCall);
		L.RegFunction("FindDrawCall", FUNCTAG_FindDrawCall);
		L.RegFunction("AddWidget", FUNCTAG_AddWidget);
		L.RegFunction("RemoveWidget", FUNCTAG_RemoveWidget);
		L.RegFunction("Refresh", FUNCTAG_Refresh);
		L.RegFunction("CalculateConstrainOffset", FUNCTAG_CalculateConstrainOffset);
		L.RegFunction("ConstrainTargetToBounds", FUNCTAG_ConstrainTargetToBounds);
		L.RegFunction("Find", FUNCTAG_Find);
		L.RegFunction("GetWindowSize", FUNCTAG_GetWindowSize);
		L.RegFunction("GetViewSize", FUNCTAG_GetViewSize);
		L.RegFunction("__eq", FUNCTAG_op_Equality);
		L.RegFunction("__tostring", ToLua.op_ToString);
		L.RegVar("list", FUNCTAG_get_list, FUNCTAG_set_list);
		L.RegVar("onGeometryUpdated", FUNCTAG_get_onGeometryUpdated, FUNCTAG_set_onGeometryUpdated);
		L.RegVar("showInPanelTool", FUNCTAG_get_showInPanelTool, FUNCTAG_set_showInPanelTool);
		L.RegVar("generateNormals", FUNCTAG_get_generateNormals, FUNCTAG_set_generateNormals);
		L.RegVar("widgetsAreStatic", FUNCTAG_get_widgetsAreStatic, FUNCTAG_set_widgetsAreStatic);
		L.RegVar("cullWhileDragging", FUNCTAG_get_cullWhileDragging, FUNCTAG_set_cullWhileDragging);
		L.RegVar("alwaysOnScreen", FUNCTAG_get_alwaysOnScreen, FUNCTAG_set_alwaysOnScreen);
		L.RegVar("anchorOffset", FUNCTAG_get_anchorOffset, FUNCTAG_set_anchorOffset);
		L.RegVar("softBorderPadding", FUNCTAG_get_softBorderPadding, FUNCTAG_set_softBorderPadding);
		L.RegVar("renderQueue", FUNCTAG_get_renderQueue, FUNCTAG_set_renderQueue);
		L.RegVar("startingRenderQueue", FUNCTAG_get_startingRenderQueue, FUNCTAG_set_startingRenderQueue);
		L.RegVar("uiEffectDrawCallCount", FUNCTAG_get_uiEffectDrawCallCount, FUNCTAG_set_uiEffectDrawCallCount);
		L.RegVar("widgets", FUNCTAG_get_widgets, FUNCTAG_set_widgets);
		L.RegVar("drawCalls", FUNCTAG_get_drawCalls, FUNCTAG_set_drawCalls);
		L.RegVar("worldToLocal", FUNCTAG_get_worldToLocal, FUNCTAG_set_worldToLocal);
		L.RegVar("drawCallClipRange", FUNCTAG_get_drawCallClipRange, FUNCTAG_set_drawCallClipRange);
		L.RegVar("onClipMove", FUNCTAG_get_onClipMove, FUNCTAG_set_onClipMove);
		L.RegVar("sortingLayerName", FUNCTAG_get_sortingLayerName, FUNCTAG_set_sortingLayerName);
		L.RegVar("nextUnusedDepth", FUNCTAG_get_nextUnusedDepth, null);
		L.RegVar("canBeAnchored", FUNCTAG_get_canBeAnchored, null);
		L.RegVar("alpha", FUNCTAG_get_alpha, FUNCTAG_set_alpha);
		L.RegVar("depth", FUNCTAG_get_depth, FUNCTAG_set_depth);
		L.RegVar("sortingOrder", FUNCTAG_get_sortingOrder, FUNCTAG_set_sortingOrder);
		L.RegVar("width", FUNCTAG_get_width, null);
		L.RegVar("height", FUNCTAG_get_height, null);
		L.RegVar("halfPixelOffset", FUNCTAG_get_halfPixelOffset, null);
		L.RegVar("usedForUI", FUNCTAG_get_usedForUI, null);
		L.RegVar("drawCallOffset", FUNCTAG_get_drawCallOffset, null);
		L.RegVar("clipping", FUNCTAG_get_clipping, FUNCTAG_set_clipping);
		L.RegVar("parentPanel", FUNCTAG_get_parentPanel, null);
		L.RegVar("clipCount", FUNCTAG_get_clipCount, null);
		L.RegVar("hasClipping", FUNCTAG_get_hasClipping, null);
		L.RegVar("hasCumulativeClipping", FUNCTAG_get_hasCumulativeClipping, null);
		L.RegVar("clipOffset", FUNCTAG_get_clipOffset, FUNCTAG_set_clipOffset);
		L.RegVar("clipTexture", FUNCTAG_get_clipTexture, FUNCTAG_set_clipTexture);
		L.RegVar("baseClipRegion", FUNCTAG_get_baseClipRegion, FUNCTAG_set_baseClipRegion);
		L.RegVar("finalClipRegion", FUNCTAG_get_finalClipRegion, null);
		L.RegVar("clipSoftness", FUNCTAG_get_clipSoftness, FUNCTAG_set_clipSoftness);
		L.RegVar("localCorners", FUNCTAG_get_localCorners, null);
		L.RegVar("worldCorners", FUNCTAG_get_worldCorners, null);
		L.RegFunction("OnClippingMoved", FUNCTAG_UIPanel_OnClippingMoved);
		L.RegFunction("OnGeometryUpdated", FUNCTAG_UIPanel_OnGeometryUpdated);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_CompareFunc(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UIPanel arg0 = (UIPanel)ToLua.CheckUnityObject(L, 1, typeof(UIPanel));
			UIPanel arg1 = (UIPanel)ToLua.CheckUnityObject(L, 2, typeof(UIPanel));
			int o = UIPanel.CompareFunc(arg0, arg1);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_GetSides(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			UnityEngine.Transform arg0 = (UnityEngine.Transform)ToLua.CheckUnityObject(L, 2, typeof(UnityEngine.Transform));
			UnityEngine.Vector3[] o = obj.GetSides(arg0);
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Invalidate(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.Invalidate(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_CalculateFinalAlpha(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			float o = obj.CalculateFinalAlpha(arg0);
			LuaDLL.lua_pushnumber(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetRect(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 5);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			float arg1 = (float)LuaDLL.luaL_checknumber(L, 3);
			float arg2 = (float)LuaDLL.luaL_checknumber(L, 4);
			float arg3 = (float)LuaDLL.luaL_checknumber(L, 5);
			obj.SetRect(arg0, arg1, arg2, arg3);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_IsVisible(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 2 && TypeChecker.CheckTypes(L, 1, typeof(UIPanel), typeof(UIWidget)))
			{
				UIPanel obj = (UIPanel)ToLua.ToObject(L, 1);
				UIWidget arg0 = (UIWidget)ToLua.ToObject(L, 2);
				bool o = obj.IsVisible(arg0);
				LuaDLL.lua_pushboolean(L, o);
				return 1;
			}
			else if (count == 2 && TypeChecker.CheckTypes(L, 1, typeof(UIPanel), typeof(UnityEngine.Vector3)))
			{
				UIPanel obj = (UIPanel)ToLua.ToObject(L, 1);
				UnityEngine.Vector3 arg0 = ToLua.ToVector3(L, 2);
				bool o = obj.IsVisible(arg0);
				LuaDLL.lua_pushboolean(L, o);
				return 1;
			}
			else if (count == 5 && TypeChecker.CheckTypes(L, 1, typeof(UIPanel), typeof(UnityEngine.Vector3), typeof(UnityEngine.Vector3), typeof(UnityEngine.Vector3), typeof(UnityEngine.Vector3)))
			{
				UIPanel obj = (UIPanel)ToLua.ToObject(L, 1);
				UnityEngine.Vector3 arg0 = ToLua.ToVector3(L, 2);
				UnityEngine.Vector3 arg1 = ToLua.ToVector3(L, 3);
				UnityEngine.Vector3 arg2 = ToLua.ToVector3(L, 4);
				UnityEngine.Vector3 arg3 = ToLua.ToVector3(L, 5);
				bool o = obj.IsVisible(arg0, arg1, arg2, arg3);
				LuaDLL.lua_pushboolean(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UIPanel.IsVisible");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Affects(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			UIWidget arg0 = (UIWidget)ToLua.CheckUnityObject(L, 2, typeof(UIWidget));
			bool o = obj.Affects(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_RebuildAllDrawCalls(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			obj.RebuildAllDrawCalls();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetDirty(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			obj.SetDirty();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_ParentHasChanged(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			obj.ParentHasChanged();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SortWidgets(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			obj.SortWidgets();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_FillDrawCall(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			UIDrawCall arg0 = (UIDrawCall)ToLua.CheckUnityObject(L, 2, typeof(UIDrawCall));
			bool o = obj.FillDrawCall(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_FindDrawCall(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			UIWidget arg0 = (UIWidget)ToLua.CheckUnityObject(L, 2, typeof(UIWidget));
			UIDrawCall o = obj.FindDrawCall(arg0);
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_AddWidget(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			UIWidget arg0 = (UIWidget)ToLua.CheckUnityObject(L, 2, typeof(UIWidget));
			obj.AddWidget(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_RemoveWidget(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			UIWidget arg0 = (UIWidget)ToLua.CheckUnityObject(L, 2, typeof(UIWidget));
			obj.RemoveWidget(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Refresh(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			obj.Refresh();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_CalculateConstrainOffset(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			UnityEngine.Vector2 arg0 = ToLua.ToVector2(L, 2);
			UnityEngine.Vector2 arg1 = ToLua.ToVector2(L, 3);
			UnityEngine.Vector3 o = obj.CalculateConstrainOffset(arg0, arg1);
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_ConstrainTargetToBounds(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 3 && TypeChecker.CheckTypes(L, 1, typeof(UIPanel), typeof(UnityEngine.Transform), typeof(bool)))
			{
				UIPanel obj = (UIPanel)ToLua.ToObject(L, 1);
				UnityEngine.Transform arg0 = (UnityEngine.Transform)ToLua.ToObject(L, 2);
				bool arg1 = LuaDLL.lua_toboolean(L, 3);
				bool o = obj.ConstrainTargetToBounds(arg0, arg1);
				LuaDLL.lua_pushboolean(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(UIPanel), typeof(UnityEngine.Transform), typeof(UnityEngine.Bounds), typeof(bool)))
			{
				UIPanel obj = (UIPanel)ToLua.ToObject(L, 1);
				UnityEngine.Transform arg0 = (UnityEngine.Transform)ToLua.ToObject(L, 2);
				UnityEngine.Bounds arg1 = ToLua.ToBounds(L, 3);
				bool arg2 = LuaDLL.lua_toboolean(L, 4);
				bool o = obj.ConstrainTargetToBounds(arg0, ref arg1, arg2);
				LuaDLL.lua_pushboolean(L, o);
				ToLua.Push(L, arg1);
				return 2;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UIPanel.ConstrainTargetToBounds");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Find(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 1 && TypeChecker.CheckTypes(L, 1, typeof(UnityEngine.Transform)))
			{
				UnityEngine.Transform arg0 = (UnityEngine.Transform)ToLua.ToObject(L, 1);
				UIPanel o = UIPanel.Find(arg0);
				ToLua.Push(L, o);
				return 1;
			}
			else if (count == 2 && TypeChecker.CheckTypes(L, 1, typeof(UnityEngine.Transform), typeof(bool)))
			{
				UnityEngine.Transform arg0 = (UnityEngine.Transform)ToLua.ToObject(L, 1);
				bool arg1 = LuaDLL.lua_toboolean(L, 2);
				UIPanel o = UIPanel.Find(arg0, arg1);
				ToLua.Push(L, o);
				return 1;
			}
			else if (count == 3 && TypeChecker.CheckTypes(L, 1, typeof(UnityEngine.Transform), typeof(bool), typeof(int)))
			{
				UnityEngine.Transform arg0 = (UnityEngine.Transform)ToLua.ToObject(L, 1);
				bool arg1 = LuaDLL.lua_toboolean(L, 2);
				int arg2 = (int)LuaDLL.lua_tonumber(L, 3);
				UIPanel o = UIPanel.Find(arg0, arg1, arg2);
				ToLua.Push(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UIPanel.Find");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_GetWindowSize(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			UnityEngine.Vector2 o = obj.GetWindowSize();
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_GetViewSize(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UIPanel obj = (UIPanel)ToLua.CheckObject(L, 1, typeof(UIPanel));
			UnityEngine.Vector2 o = obj.GetViewSize();
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_op_Equality(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.ToObject(L, 1);
			UnityEngine.Object arg1 = (UnityEngine.Object)ToLua.ToObject(L, 2);
			bool o = arg0 == arg1;
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_list(IntPtr L)
	{
		try
		{
			ToLua.PushObject(L, UIPanel.list);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_onGeometryUpdated(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UIPanel.OnGeometryUpdated ret = obj.onGeometryUpdated;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index onGeometryUpdated on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_showInPanelTool(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool ret = obj.showInPanelTool;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index showInPanelTool on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_generateNormals(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool ret = obj.generateNormals;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index generateNormals on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_widgetsAreStatic(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool ret = obj.widgetsAreStatic;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index widgetsAreStatic on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_cullWhileDragging(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool ret = obj.cullWhileDragging;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index cullWhileDragging on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_alwaysOnScreen(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool ret = obj.alwaysOnScreen;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index alwaysOnScreen on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_anchorOffset(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool ret = obj.anchorOffset;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index anchorOffset on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_softBorderPadding(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool ret = obj.softBorderPadding;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index softBorderPadding on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_renderQueue(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UIPanel.RenderQueue ret = obj.renderQueue;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index renderQueue on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_startingRenderQueue(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			int ret = obj.startingRenderQueue;
			LuaDLL.lua_pushinteger(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index startingRenderQueue on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_uiEffectDrawCallCount(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			int ret = obj.uiEffectDrawCallCount;
			LuaDLL.lua_pushinteger(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index uiEffectDrawCallCount on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_widgets(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			System.Collections.Generic.List<UIWidget> ret = obj.widgets;
			ToLua.PushObject(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index widgets on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_drawCalls(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			System.Collections.Generic.List<UIDrawCall> ret = obj.drawCalls;
			ToLua.PushObject(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index drawCalls on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_worldToLocal(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Matrix4x4 ret = obj.worldToLocal;
			ToLua.PushValue(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index worldToLocal on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_drawCallClipRange(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Vector4 ret = obj.drawCallClipRange;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index drawCallClipRange on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_onClipMove(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UIPanel.OnClippingMoved ret = obj.onClipMove;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index onClipMove on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_sortingLayerName(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			string ret = obj.sortingLayerName;
			LuaDLL.lua_pushstring(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index sortingLayerName on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_nextUnusedDepth(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushinteger(L, UIPanel.nextUnusedDepth);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_canBeAnchored(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool ret = obj.canBeAnchored;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index canBeAnchored on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_alpha(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			float ret = obj.alpha;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index alpha on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_depth(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			int ret = obj.depth;
			LuaDLL.lua_pushinteger(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index depth on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_sortingOrder(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			int ret = obj.sortingOrder;
			LuaDLL.lua_pushinteger(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index sortingOrder on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_width(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			float ret = obj.width;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index width on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_height(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			float ret = obj.height;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index height on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_halfPixelOffset(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool ret = obj.halfPixelOffset;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index halfPixelOffset on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_usedForUI(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool ret = obj.usedForUI;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index usedForUI on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_drawCallOffset(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Vector3 ret = obj.drawCallOffset;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index drawCallOffset on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_clipping(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UIDrawCall.Clipping ret = obj.clipping;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index clipping on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_parentPanel(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UIPanel ret = obj.parentPanel;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index parentPanel on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_clipCount(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			int ret = obj.clipCount;
			LuaDLL.lua_pushinteger(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index clipCount on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_hasClipping(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool ret = obj.hasClipping;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index hasClipping on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_hasCumulativeClipping(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool ret = obj.hasCumulativeClipping;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index hasCumulativeClipping on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_clipOffset(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Vector2 ret = obj.clipOffset;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index clipOffset on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_clipTexture(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Texture2D ret = obj.clipTexture;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index clipTexture on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_baseClipRegion(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Vector4 ret = obj.baseClipRegion;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index baseClipRegion on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_finalClipRegion(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Vector4 ret = obj.finalClipRegion;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index finalClipRegion on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_clipSoftness(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Vector2 ret = obj.clipSoftness;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index clipSoftness on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_localCorners(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Vector3[] ret = obj.localCorners;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index localCorners on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_worldCorners(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Vector3[] ret = obj.worldCorners;
			ToLua.Push(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index worldCorners on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_list(IntPtr L)
	{
		try
		{
			System.Collections.Generic.List<UIPanel> arg0 = (System.Collections.Generic.List<UIPanel>)ToLua.CheckObject(L, 2, typeof(System.Collections.Generic.List<UIPanel>));
			UIPanel.list = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_onGeometryUpdated(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UIPanel.OnGeometryUpdated arg0 = null;
			LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

			if (funcType2 != LuaTypes.LUA_TFUNCTION)
			{
				arg0 = (UIPanel.OnGeometryUpdated)ToLua.CheckObject(L, 2, typeof(UIPanel.OnGeometryUpdated));
			}
			else
			{
				LuaFunction func = ToLua.ToLuaFunction(L, 2);
				arg0 = DelegateFactory.CreateDelegate(typeof(UIPanel.OnGeometryUpdated), func) as UIPanel.OnGeometryUpdated;
			}

			obj.onGeometryUpdated = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index onGeometryUpdated on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_showInPanelTool(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.showInPanelTool = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index showInPanelTool on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_generateNormals(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.generateNormals = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index generateNormals on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_widgetsAreStatic(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.widgetsAreStatic = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index widgetsAreStatic on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_cullWhileDragging(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.cullWhileDragging = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index cullWhileDragging on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_alwaysOnScreen(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.alwaysOnScreen = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index alwaysOnScreen on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_anchorOffset(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.anchorOffset = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index anchorOffset on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_softBorderPadding(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.softBorderPadding = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index softBorderPadding on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_renderQueue(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UIPanel.RenderQueue arg0 = (UIPanel.RenderQueue)(int)LuaDLL.lua_tonumber(L, 2);
			obj.renderQueue = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index renderQueue on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_startingRenderQueue(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			obj.startingRenderQueue = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index startingRenderQueue on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_uiEffectDrawCallCount(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			obj.uiEffectDrawCallCount = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index uiEffectDrawCallCount on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_widgets(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			System.Collections.Generic.List<UIWidget> arg0 = (System.Collections.Generic.List<UIWidget>)ToLua.CheckObject(L, 2, typeof(System.Collections.Generic.List<UIWidget>));
			obj.widgets = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index widgets on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_drawCalls(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			System.Collections.Generic.List<UIDrawCall> arg0 = (System.Collections.Generic.List<UIDrawCall>)ToLua.CheckObject(L, 2, typeof(System.Collections.Generic.List<UIDrawCall>));
			obj.drawCalls = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index drawCalls on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_worldToLocal(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Matrix4x4 arg0 = (UnityEngine.Matrix4x4)ToLua.CheckObject(L, 2, typeof(UnityEngine.Matrix4x4));
			obj.worldToLocal = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index worldToLocal on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_drawCallClipRange(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Vector4 arg0 = ToLua.ToVector4(L, 2);
			obj.drawCallClipRange = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index drawCallClipRange on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_onClipMove(IntPtr L)
	{
		return 0;
		//object o = null;

		//try
		//{
		//    o = ToLua.ToObject(L, 1);
		//    UIPanel obj = (UIPanel)o;
		//    LuaFunction func = ToLua.ToLuaFunction(L, 2);
		//    UIEventHandler.Get(obj.gameObject).AddOnClipMove(obj, func);
		//    return 0;
		//}
		//catch(Exception e)
		//{
		//    return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index onClipMove on a nil value" : e.Message);
		//}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_sortingLayerName(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			string arg0 = ToLua.CheckString(L, 2);
			obj.sortingLayerName = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index sortingLayerName on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_alpha(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.alpha = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index alpha on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_depth(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			obj.depth = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index depth on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_sortingOrder(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			obj.sortingOrder = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index sortingOrder on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_clipping(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UIDrawCall.Clipping arg0 = (UIDrawCall.Clipping)(int)LuaDLL.lua_tonumber(L, 2);
			obj.clipping = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index clipping on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_clipOffset(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Vector2 arg0 = ToLua.ToVector2(L, 2);
			obj.clipOffset = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index clipOffset on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_clipTexture(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Texture2D arg0 = (UnityEngine.Texture2D)ToLua.CheckUnityObject(L, 2, typeof(UnityEngine.Texture2D));
			obj.clipTexture = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index clipTexture on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_baseClipRegion(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Vector4 arg0 = ToLua.ToVector4(L, 2);
			obj.baseClipRegion = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index baseClipRegion on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_clipSoftness(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIPanel obj = (UIPanel)o;
			UnityEngine.Vector2 arg0 = ToLua.ToVector2(L, 2);
			obj.clipSoftness = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index clipSoftness on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_UIPanel_OnClippingMoved(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);
			LuaFunction func = ToLua.CheckLuaFunction(L, 1);

			if (count == 1)
			{
				Delegate arg1 = DelegateFactory.CreateDelegate(typeof(UIPanel.OnClippingMoved), func);
				ToLua.Push(L, arg1);
			}
			else
			{
				LuaTable self = ToLua.CheckLuaTable(L, 2);
				Delegate arg1 = DelegateFactory.CreateDelegate(typeof(UIPanel.OnClippingMoved), func, self);
				ToLua.Push(L, arg1);
			}
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_UIPanel_OnGeometryUpdated(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);
			LuaFunction func = ToLua.CheckLuaFunction(L, 1);

			if (count == 1)
			{
				Delegate arg1 = DelegateFactory.CreateDelegate(typeof(UIPanel.OnGeometryUpdated), func);
				ToLua.Push(L, arg1);
			}
			else
			{
				LuaTable self = ToLua.CheckLuaTable(L, 2);
				Delegate arg1 = DelegateFactory.CreateDelegate(typeof(UIPanel.OnGeometryUpdated), func, self);
				ToLua.Push(L, arg1);
			}
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}
}

